# disabled, per rhbz#1609830 and rhbz#1602742
%bcond_with minizip
%global hash d1c35e4f992aea67e92f36dc5a7b8c0bdf5f46f2

Name:    zlib-ng
Version: 1.1.1
Release: 1%{?dist}
Summary: The compression and decompression alternative library to zlib
# /contrib/dotzlib/ have Boost license
License: zlib and Boost
URL: http://www.zlib.net/

Source: https://github.com/%{name}/%{name}/archive/%{hash}/%{name}-%{version}.tar.gz

BuildRequires: automake, autoconf, libtool

%description
Zlib is a general-purpose, patent-free, lossless data compression
library which is used by many different programs.


%package devel
Summary: Header files and libraries for Zlib development
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.


%package static
Summary: Static libraries for Zlib development
Requires: %{name}-devel%{?_isa} = %{version}-%{release}

%description static
The zlib-static package includes static libraries needed
to develop programs that use the zlib compression and
decompression library.


%if %{with minizip}
%package -n minizip
Summary: Library for manipulation with .zip archives
Requires: %{name}%{?_isa} = %{version}-%{release}

%description -n minizip
Minizip is a library for manipulation with files from .zip archives.


%package -n minizip-devel
Summary: Development files for the minizip library
Requires: minizip%{?_isa} = %{version}-%{release}
Requires: %{name}-devel%{?_isa} = %{version}-%{release}

%description -n minizip-devel
This package contains the libraries and header files needed for
developing applications which use minizip.
%endif


%prep
%setup -q -n %{name}-%{hash}


%build
export CFLAGS="$RPM_OPT_FLAGS"
%ifarch ppc64
CFLAGS+=" -O3"
%endif
export LDFLAGS="$LDFLAGS -Wl,-z,relro -Wl,-z,now"
# no-autotools, %%configure is not compatible
./configure --libdir=%{_libdir} --includedir=%{_includedir} --prefix=%{_prefix} --zlib-compat
%make_build

%if %{with minizip}
cd contrib/minizip
autoreconf --install
%configure --enable-static=no --zlib-compat
%make_build
%endif


%check


%install
%make_install

%if %{with minizip}
%make_install -C contrib/minizip
# https://github.com/madler/zlib/pull/229
rm $RPM_BUILD_ROOT%_includedir/minizip/crypt.h
%endif

find $RPM_BUILD_ROOT -name '*.la' -delete


%files
%license README.md README.zlib
%doc ChangeLog.zlib FAQ.zlib
%{_libdir}/libz.so.*


%files devel
%doc doc/algorithm.txt test/example.c
%{_libdir}/libz.so
%{_libdir}/pkgconfig/zlib.pc
%{_includedir}/zlib.h
%{_includedir}/zconf.h
%{_mandir}/man3/zlib.3*


%files static
%license README.md README.zlib
%{_libdir}/libz.a


%if %{with minizip}
%files -n minizip
%doc contrib/minizip/MiniZip64_info.txt contrib/minizip/MiniZip64_Changes.txt
%{_libdir}/libminizip.so.*


%files -n minizip-devel
%dir %{_includedir}/minizip
%{_includedir}/minizip/*.h
%{_libdir}/libminizip.so
%{_libdir}/pkgconfig/minizip.pc
%endif


%changelog
* Thu Jun 13 2019 Ondrej Dubaj <odubaj@redhat.com> - 1.1.1-1
- zlib-ng packed as .rpm package